Bug 1468479 - [atomic registry] Typos on registry console about docker instructions
[atomic registry] Typos on registry console about docker instructions
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Registry Console (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity low
: ---
: 3.7.z
Assigned To: Martin Pitt
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 04:18 EDT by Xingxing Xia
Modified: 2018-04-04 16:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-04 08:40:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xingxing Xia 2017-07-07 04:18:56 EDT
Description of problem:
Typos on registry console about docker instructions

Version-Release number of selected component (if applicable):
registry console image built with cockpit 141-3
brew-.../openshift3/registry-console  v3.6  84408b924fc3  25 hours ago  219.9 MB

How reproducible:
Always

Steps to Reproduce:
1. On registry console, create project, imagestream
2. Click nav "Images" --> click one imagestream (e.g. named "is1" as below), check the docker instructions part

Actual results:
2. Two typos:
first: the sentence "To push to an image to this image stream" has extra "to" that should be removed
second the docker commands are:
$ sudo docker tag myimage .../xxia-proj/is1:tag
$ sudo docker push .../xxia-proj/is1
"docker push" command intends to push ":tag" but it misses that

Expected results:
2.
first, remove extra "to"; second, add ":tag"

Additional info:
In openshift 3.6 imagestream page, it does not have extra "to" in the first typo, but it does miss ":tag" for the second typo too.
Comment 1 Xingxing Xia 2017-11-13 03:03:32 EST
Checked in cockpit 155, the typos on registry console are solved:
now no extra "to", and the missed ":tag" in "docker push" line is shown
Checked in OCP 3.7.4 for the "Additional info" issue, the missed ":tag" is shown
Please move to ON_QA, thanks
Comment 4 Martin Pitt 2018-04-04 08:40:09 EDT
Thanks Xia for verifying! Closing then as it's targetted at 3.7.z and fixed in 3.7.4.

Note You need to log in before you can comment on or make changes to this bug.